/**
* @AUTHOR: Alexandre Correia / Rodrigo Souza
* @DATE: 2006/10/24 17:03:00
* @LAST CHANGE: Seg 11 Dez 2006 10:21:34 BRST::
* Instant Messenger
* im_templates.js
**/

	function Templates(){

		this.element 	= document.getElementById("im_expresso");
		this.form 		= "";
		this.time_set 	= "";
		this.transfer	= 0;
		this.arquivo 	= "";
	}
	
   /*
	* Conf forms
	*/

	Templates.prototype.conf_form = function(pName,pWidth,pHeight,pHTML,pTitle)
	{
	     var params = new Array();
    	 params['body'] = pHTML;
      	 params['height'] = pHeight;
     	 params['id'] = pName;
     	 params['maximize'] = false;
     	 params['minimize'] = false;
     	 params['title'] = pTitle;
     	 params['width'] = pWidth;
		 im_win.create_window(params);
	}

   /*
	* Add Usuario
	*/

	Templates.prototype.add_user = function()
	{

		var _this = this;
		var _td = "";

		var form_add_user = "<span style='display:block'><b>Selecione uma Organizao .: </b><select id='ImSelOrg' name='ImSelOrg' onchange='Preferences.SearchContacts();'></select>" +
							"<span id='_span_load_im' style='background-color:#cc4444;color:white;visibility:hidden;position:absolute;right:0px'>Carregando .....</span>"+
							"</span>"+
							"<select size='10' id='ImSelAddContact' name='ImSelAddContact' class='add_user' onclick='Preferences.preenche();'></select><table border='0' cellpadding='1' cellspacing='2' align='center' width='100%'  >"+
							"<tr><td><b>"+IM.get_lang('Jid Contact')+".:</b></td><td><input id='text0' type='text' size='40' maxlength='40'></td></tr>"+
							"<tr><td><b>"+IM.get_lang('Nickname')+".:</b></td><td><input id='text1' type='text' size='20' maxlength='20'></td></tr>"+
							"<tr><td><b>"+IM.get_lang('Group')+".:</b></td><td><input id='text2' type='text' size='20' maxlength='20'></td></tr>"+
							"<tr><td><input id='text3' type='hidden' size='30' maxlength='30'></td></tr>"+							
							"<tr><td colspan='2'><input type='button' value='"+IM.get_lang('Add')+"' onclick='Preferences.Add_user(\"divAddUser_im\")'></td></tr>"+
							"</table>"
		_this.conf_form("divAddUser",500,250,form_add_user,":: " + IM.get_lang('Add New Contact') + " - Expresso ::");
	}

   /*
	* Del Usuario
	*/

	Templates.prototype.remove_user = function()
	{
		var _this = this;
		var form_del_user = "<div style='margin-left:20px;margin-top:20px'>"+
							"<span>"+IM.get_lang('Contact')+"&nbsp;.:&nbsp;</span>"+
							"<span style='margin-left:20px'><select id='sel_contact'></select></span><br>"+
							"<p><span><input type='button' value='"+IM.get_lang('Remove')+"' onclick='javascript:Preferences.Remove_user()'></span>"+
							"</div>";

		_this.conf_form("divDelUser",400,110,form_del_user,":: " + IM.get_lang('Remove Contact') + " - Expresso ::");
	}

   /*
	* Update Usuario
	*/

	Templates.prototype.update_user = function()
	{
		var _this = this;
		var form_update_user = "<table border='0' cellpadding='1' cellspacing='2' align='center' width='90%'>"+
							   "<tr><td><input id='text0' type='hidden' size='40' maxlength='40'></td></tr>"+
							   "<tr><td><b>Contato .:</b></td><td><span id='span0'></span></td></tr>"+
							   "<tr><td><b>"+IM.get_lang('Nickname')+".:</b></td><td><input id='text1' type='text' size='20' maxlength='20'></td></tr>"+
							   "<tr><td><b>"+IM.get_lang('Group')+".:</b></td><td><input id='text2' type='text' size='20' maxlength='20'></td></tr>"+
							   "<tr><td colspan='2'><input type='button' value='"+IM.get_lang('Update')+"' onclick='Preferences.Add_user(\"divUpdateUser_im\")'></td></tr>"+
							   "</table>";
		_this.conf_form("divUpdateUser",300,110,form_update_user,":: Adicionar Contato - Expresso ::");
	}

	Templates.prototype.Users_Not_Auth = function ()
	{
		var count  = 0;
		var _this = this;
		var auth_user = "";
		
		if(!IM.array_prefe['ch_contacts'])
		{
			auth_user = '<table border="0" cellpadding="0" cellspacing="0" width="99%">' +	
						'<tr style="background-color:#cccccc;font-weight:bold;height:20px"><td>&nbsp;Contato</td><td align="center">Detalhes</td><td align="center">Aceitar S/N</td></tr>';	
	
			for(var i=0 ; i < IM.array_users.length; i++){
				if(IM.array_users[i].group == 'sem_grupo'){
	  	  	 		  auth_user += '<tr id="_cell_'+IM.array_users[i].jid+'">'+
				  	               '<td><img src="' + img_not_authorized.src + '">' + decodeURI(IM.array_users[i].name).substr(0,decodeURI(IM.array_users[i].name).indexOf('@')) + '<span id="_span_not_' + IM.array_users[i].jid + '"></span></td>'+
				  	  	 		   '<td align="center"><a href="javascript:void(0);" onclick=Preferences.Info_Contact("'+IM.array_users[i].jid+'")> ? </a></td>'+
				  	  	 		   '<td align="center"><a href="javascript:void(0);" onclick=Preferences.updateLoad("'+IM.array_users[i].jid+'")> Sim </a>/<a href="javascript:void(0);" onclick=Preferences.Remove_Contact("'+IM.array_users[i].jid+'")> No </a></td>'+
				  	  	 		   '</tr>';
					  count++;
				}
			}
	
			auth_user += '</table>';
	
			if( count > 0 ){
				var form_auth_user =  '<div style="margin-left:5px;margin-top:2px">' +
									  '</br>'+
									  '<b>O(s) contato(s) abaixo aguarda(m) sua autorizao.' +
									  '</br>Para adicionar este(s) novo(s) contato(s), basta dar um ' +
									  'clique em cima do contato.' +
									  '<p>Contato(s) :' + 
									  '</b></br>' +
									  '<div id="divChildrenFormAuthUser">';
	  			    form_auth_user += auth_user + '</div></div>';
				_this.conf_form("divFormAuthUser",360,250,form_auth_user, ":: Contatos sem Cadastro - Expresso ::");
			
			}
		}
	}

   /*
	* Vcard Usuario
	*/

	Templates.prototype.information_user = function()
	{
		var _this = this;
		var form_info_user = "<table border='0' cellpadding='1' cellspacing='2' width='90%' style='margin-top:10px'>"+
							 "<tr><td width='30%' align='right'>"+IM.get_lang("Full Name")+"&nbsp;.:&nbsp;</td><td><input id='FN' type='text name='text0' size='40' maxlength='40'></td></tr>"+
							 "<tr><td width='30%' align='right'>"+IM.get_lang("NickName")+"&nbsp;.:&nbsp;</td><td><input id='NICKNAME' type='text name='text1' size='20' maxlength='20'></td></tr>"+
							 "<tr><td width='30%' align='right'>"+IM.get_lang("Orgname")+"&nbsp;.:&nbsp;</td><td><input id='ORGNAME' type='text name='text4' size='17' maxlength='17'></td></tr>"+							 
							 "<tr><td width='30%' align='right'>"+IM.get_lang("Orgunit")+"&nbsp;.:&nbsp;</td><td><input id='ORGUNIT' type='text name='text5' size='10' maxlength='10'></td></tr>"+
 							 "<tr><td width='30%' align='right'>"+IM.get_lang("Role")+"&nbsp;.:&nbsp;</td><td><input id='ROLE' type='text name='text6' size='25' maxlength='25'></td></tr>"+
							 "<tr><td width='30%' align='right'>"+IM.get_lang("Birthday")+"&nbsp;.:&nbsp;</td><td><input id='BDAY' type='text name='text7' size='10' maxlength='10'></td></tr>"+ 							 
							 "<tr><td width='30%' align='right'>"+IM.get_lang("your message")+"&nbsp;.:&nbsp;</td><td><input id='DESC' type='text name='text8' size='40' maxlength='40'></td></tr>"+ 							 
							 "</table>"+
							 "<table border='0' cellpading='1' cellspacing='2' width='100%'>"+
							 "<tr><input type='button' value='"+IM.get_lang('save')+"' onclick='javascript:Preferences.vCardAdd();'></tr>"+
							 "</table>";
		_this.conf_form("divInfoUser",400,220,form_info_user, ":: " + IM.get_lang('Information User') + " - Expresso ::");
	}

	Templates.prototype.information_Contact = function()
	{
		var _this = this;
		var form_info_contact = '<table border="0" cellpading="1" cellspacing="2" width="90%" style="margin-top:10px">'+
							 	'<tr><td width="30%" align="right">'+IM.get_lang('Full Name')+'&nbsp;.:&nbsp;</td><td width="70%" align="left"><label id="_lbl_FN"></label></td></tr>'+
							 	'<tr><td width="30%" align="right">'+IM.get_lang('NickName')+'&nbsp;.:&nbsp;</td><td width="70%" align="left"><label id="_lbl_Nickname"></label></td></tr>'+
							 	'<tr><td width="30%" align="right">'+IM.get_lang('Orgunit')+'&nbsp;.:&nbsp;</td><td width="70%" align="left"><label id="_lbl_Orgunit"></label></td></tr>'+
							 	'<tr><td width="30%" align="right">'+IM.get_lang('Role')+'&nbsp;.:&nbsp;</td><td width="70%" align="left"><label id="_lbl_Role"></label></td></tr>'+
							 	'<tr><td width="30%" align="right">'+IM.get_lang('Birthday')+'&nbsp;.:&nbsp;</td><td width="70%" align="left"><label id="_lbl_Birthday"></label></td></tr>'+							
								'<table>';
		_this.conf_form("divInfoContact",430,130,form_info_contact,":: Informaes do Contato - Expresso ::");
	
	}

   Templates.prototype.emotions = function()
   {
      grid = '';
      grid += '<table cellpadding="0" cellspacing="0" border="0">';
      grid += '    <tr>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':)\')" id="sendMessageMenuId"><img alt=":)" width="19" height="19" src="' + smile_1.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':d\')" id="sendMessageMenuId"><img alt=":d" width="19" height="19" src="' + smile_2.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\';)\')" id="sendMessageMenuId"><img alt=";)" width="19" height="19" src="' + smile_3.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':o\')" id="sendMessageMenuId"><img alt=":o" width="19" height="19" src="' + smile_4.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':p\')" id="sendMessageMenuId"><img alt=":p" width="19" height="19" src="' + smile_5.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(h)\')" id="sendMessageMenuId"><img alt="(h)" width="19" height="19" src="' + smile_6.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':@\')" id="sendMessageMenuId"><img alt=":@" width="19" height="19" src="' + smile_7.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':$\')" id="sendMessageMenuId"><img alt=":$" width="19" height="19" src="' + smile_8.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':s\')" id="sendMessageMenuId"><img alt=":s" width="19" height="19" src="' + smile_9.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':(\')" id="sendMessageMenuId"><img alt=":(" width="19" height="19" src="' + smile_10.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':\\\'\(\')" id="sendMessageMenuId"><img alt=":\'(" width="19" height="19" src="' + smile_11.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':|\')" id="sendMessageMenuId"><img alt=":|" width="19" height="19" src="' + smile_12.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(6)\')" id="sendMessageMenuId"><img alt="(6)" width="19" height="19" src="' + smile_13.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(a)\')" id="sendMessageMenuId"><img alt="(a)" width="19" height="19" src="' + smile_14.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(l)\')" id="sendMessageMenuId"><img alt="(l)" width="19" height="19" src="' + smile_15.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(u)\')" id="sendMessageMenuId"><img alt="(u)" width="19" height="19" src="' + smile_16.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(m)\')" id="sendMessageMenuId"><img alt="(m)" width="19" height="19" src="' + smile_17.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(@)\')" id="sendMessageMenuId"><img alt="(@)" width="19" height="19" src="' + smile_18.src + '" /></div></td>';
      grid += '    </tr>';
      grid += '    <tr>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(&)\')" id="sendMessageMenuId"><img alt="(&)" width="19" height="19" src="' + smile_19.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(S)\')" id="sendMessageMenuId"><img alt="(S)" width="19" height="19" src="' + smile_20.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(*)\')" id="sendMessageMenuId"><img alt="(*)" width="19" height="19" src="' + smile_21.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(~)\')" id="sendMessageMenuId"><img alt="(~)" width="19" height="19" src="' + smile_22.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(8)\')" id="sendMessageMenuId"><img alt="(8)" width="19" height="19" src="' + smile_23.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(e)\')" id="sendMessageMenuId"><img alt="(e)" width="19" height="19" src="' + smile_24.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(f)\')" id="sendMessageMenuId"><img alt="(f)" width="19" height="19" src="' + smile_25.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(w)\')" id="sendMessageMenuId"><img alt="(w)" width="19" height="19" src="' + smile_26.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(o)\')" id="sendMessageMenuId"><img alt="(o)" width="19" height="19" src="' + smile_27.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(k)\')" id="sendMessageMenuId"><img alt="(k)" width="19" height="19" src="' + smile_28.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(g)\')" id="sendMessageMenuId"><img alt="(g)" width="19" height="19" src="' + smile_29.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(^)\')" id="sendMessageMenuId"><img alt="(^)" width="19" height="19" src="' + smile_30.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(p)\')" id="sendMessageMenuId"><img alt="(p)" width="19" height="19" src="' + smile_31.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(i)\')" id="sendMessageMenuId"><img alt="(i)" width="19" height="19" src="' + smile_32.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(c)\')" id="sendMessageMenuId"><img alt="(c)" width="19" height="19" src="' + smile_33.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(t)\')" id="sendMessageMenuId"><img alt="(t)" width="19" height="19" src="' + smile_34.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'({)\')" id="sendMessageMenuId"><img alt="({)" width="19" height="19" src="' + smile_35.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(})\')" id="sendMessageMenuId"><img alt="(})" width="19" height="19" src="' + smile_36.src + '" /></div></td>';
      grid += '    </tr>';
      grid += '    <tr>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(b)\')" id="sendMessageMenuId"><img alt="(b)" width="19" height="19" src="' + smile_37.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(d)\')" id="sendMessageMenuId"><img alt="(d)" width="19" height="19" src="' + smile_38.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(z)\')" id="sendMessageMenuId"><img alt="(z)" width="19" height="19" src="' + smile_39.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(x)\')" id="sendMessageMenuId"><img alt="(x)" width="19" height="19" src="' + smile_40.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(y)\')" id="sendMessageMenuId"><img alt="(y)" width="19" height="19" src="' + smile_41.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(n)\')" id="sendMessageMenuId"><img alt="(n)" width="19" height="19" src="' + smile_42.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':[\')" id="sendMessageMenuId"><img alt=":["  width="19" height="19" src="' + smile_43.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(?)\')" id="sendMessageMenuId"><img alt="(?)" width="19" height="19" src="' + smile_44.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(%)\')" id="sendMessageMenuId"><img alt="(%)" width="19" height="19" src="' + smile_45.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(#)\')" id="sendMessageMenuId"><img alt="(#)" width="19" height="19" src="' + smile_46.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(r)\')" id="sendMessageMenuId"><img alt="(r)" width="19" height="19" src="' + smile_47.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':-#\')" id="sendMessageMenuId"><img alt=":-#" width="19" height="19" src="' + smile_48.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'8o|\')" id="sendMessageMenuId"><img alt="8o|" width="19" height="19" src="' + smile_49.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'8-|\')" id="sendMessageMenuId"><img alt="8-|" width="19" height="19" src="' + smile_50.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'^o)\')" id="sendMessageMenuId"><img alt="^o)" width="19" height="19" src="' + smile_51.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\':-*\')" id="sendMessageMenuId"><img alt=":-*" width="19" height="19" src="' + smile_52.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.hAuthorizationighlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'+o(\')" id="sendMessageMenuId"><img alt="+o(" width="19" height="19" src="' + smile_53.src + '" /></div></td>';
      grid += '      <td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion(\'(sn)\')" id="sendMessageMenuId"><img alt=(sn)"" width="19" height="19" src="' + smile_54.src + '" /></div></td>';
      grid += '    </tr>';
      grid += '    <tr>';
      grid += '      <td colspan="18"><div style="background:#cccccc;margin:1px"><img src="templates/default/images/img/blank.gif" height="1" width="1" border="0"/></div></td>';
      grid += '    </tr>';
      grid += '    <tr>';
      grid += '    </tr>';
      grid += '    <td colspan="18"><div class="emotionItem" !style="width:100%" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.hideEmotionSelection()" id="closeEmotionSelectionDiv">Close This Menu</div></td>';
      grid += '   </tr>';
      grid += '</table>';

      return grid;
   }

   Templates.prototype.font_name = function()
   {
      grid = '';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFont(\'Arial\')" id="fontStyle1" style="width:120px;font-family:arial">Arial</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFont(\'Courier\')" id="fontStyle1" style="width:120px;font-family:Courier">Courier</div>';
      grid += '<div class="menuitems" onMouseover="im_wihttp://www1.la.dell.com/content/products/features.aspx/advertised_latn.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFont(\'Times\')" id="fontStyle1" style="width:120px;font-family:Times New Roman">Times New Roman</div>';
      grid += '<div style="background:#cccccc;margin:1px"><img src="../images/blank.gif" height="1" width="1" border="0"/></div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.hideFontNameSelection()" id="fontStyle1" style="width:120px">Close This Menu</div>';

      return grid;
   }

   Templates.prototype.font_size = function()
   {
      grid = '';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeSizeFont(\'9pt\');" id="fontStyle1" style="width:100px">9</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeSizeFont(\'10pt\');" id="fontStyle1" style="width:100px">10</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeSizeFont(\'11pt\');" id="fontStyle1" style="width:100px">11</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeSizeFont(\'12pt\');" id="fontStyle1" style="width:100px">12</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeSizeFont(\'14pt\');" id="fontStyle1" style="width:1!00px">14</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeSizeFont(\'16pt\');" id="fontStyle1" style="width:100px">16</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeSizeFont(\'18pt\');" id="fontStyle1" style="width:100px">18</div>';
      grid += '<div style="background:#cccccc;margin:1px"><img src="../images/blank.gif" height="1" width="1" border="0"/></div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.hideFontSizeSelection()" id="fontStyle1" style="width:100px">Close This Menu</div>';

      return grid;
   }

   Templates.prototype.font_color = function()
   {
      grid = '';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontColor(\'#000000\')" id="fontStyle1" style="width:100px">Black</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontColor(\'#c0c0c0\')" id="fontStyle1" style="width:100px">Silver</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontColor(\'#ffff00\')" id="fontStyle1" style="width:100px">Yellow</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontColor(\'#ff0000\')" id="fontStyle1" style="width:100px">Red</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontColor(\'#ff00ff\')" id="fontStyle1" style="width:100px">Pink</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontColor(\'#00ff00\')" id="fontStyle1" style="width:100px">Green</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontColor(\'#1111ff\')" id="fontStyle1" style="width:100px">Blue</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontColor(\'#800080\')" id="fontStyle1" style="width:100px">Magenta</div>';
      grid += '<div style="background:#cccccc;margin:1px"><img src="../images/blank.gif" height="1" width="1" border="0"/></div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.hideFontColorSelection()" id="fontStyle1" style="width:100px">Close This Menu</div>';

      return grid;
   }

   Templates.prototype.font_style = function()
   {
      grid = '';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontStyle(\'normal\')" id="fontStyle1" style="width:100px">Regular</div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontStyle(\'italic\')" id="fontStyle1" style="width:100px"><i>Italic</i></div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontStyle(\'bold\')" id="fontStyle1" style="width:100px"><b>Bold</b></div>';
      grid += '<div style="background:#cccccc;margin:1px"><img src="../images/blank.gif" height="1" width="1" border="0"/></div>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.hideFontStyleSelection()" id="fontStyle1" style="width:100px">Close This Menu</div>';

      return grid;
   }

   /*
   	* Send File
   	*/

   Templates.prototype.Send_file = function(pJid)
   {
		var _this = this;
		var form_send_file = '<iframe style="display:none;" name="send_file"></iframe>'+
							 '<div id="div_send_file_im" style="margin-left:5px;margin-top:10px;display:block;">'+
		                     '<span>.: Enviar Arquivo :.</span><br>'+
		                     '<form method="POST" target="send_file" action="'+im_path+'inc/class.upload.inc.php" enctype="multipart/form-data">'+
							 '<input id="to_jid_im" type="hidden" value="' + pJid + '" name="to">'+
							 '<input id="send_file_im" type="file" size="40" name="file">'+
							 '<br><br><input type="submit" value="'+IM.get_lang('Send')+'" onclick="javascript:Templates.Wait_file(\'' + pJid + '\');return true;">'+
							 '</form></div>'+
							 '<div id="status_upload" style="margin-left:5px;margin-top:10px;display:none;">' +
							 '<span>.: Status da Transferncia :.</span>'+
							 '<br><br>'+
							 '<div id="progressbar_p" style="border:1px solid #C9D9E8;width:70%;height:12%">'+
					 		 '<div id="progressbar_f" style="border:1px solid #000;width:0%;height:100%;background-color:#C9D9E8;text-align:right">'+
							 '<font style="font-size:8pt"><span id="porcent_im">100%</span></font>'+
							 '</div></div></div>';
		_this.conf_form("divSendFile",360,110,form_send_file,":: Envio de Arquivo - Expresso ::");
	}
	
	Templates.prototype.Wait_file = function(pJid)
	{
		if(document.getElementById("send_file_im").value != ""){
			document.getElementById("div_send_file_im").style.display = "none";
			document.getElementById("status_upload").style.display = "block";			
			this.UpdateStatusSendFile(pJid);
		}else{
			alert(" necessrio informar um arquivo para envio!");
		}
	}
	
	Templates.prototype.UpdateStatusSendFile = function(pJid)
	{
		var _this = this;
		this.time_set = setTimeout("Templates.Wait_file('" + pJid + "')",80);
		if(this.transfer == 100){
			clearTimeout(this.time_set);
			document.getElementById("div_send_file_im").style.display = "block";
			document.getElementById("status_upload").style.display = "none";
			document.getElementById("send_file_im").value = "";	
			this.transfer = 0;
			this.time_set = "";
			// Envia a Mensagem para a baixa do arquivo;
			var h_name_file = function(data){
				//var pJID = "alexandrecorreia@im.pr.gov.br";
				var pJID = pJid;				
				var message_conf = '<iframe name="IM_down_file" style="display:none"></iframe>'+
								   '<b>VOC ACABA DE RECEBER UM ARQUIVO !!!!&nbsp;</b>'+
								   '<a href="../instant_messenger/inc/class.download.inc.php?file=' + data + '" target="IM_down_file">Clique aqui</a>';
				var Conf_send_file = function(data){		
	         		if(!data)
	               		alert(data);
		         }
	         	cIM.cExecute("$this.Ujabber.SendMessage",Conf_send_file,"to="+pJID+"&body="+url_encode(encodeURI(message_conf)));
			}
			cIM.cExecute("$this.upload.name_file",h_name_file);
		}else{		
			var h_size_file = function(data){
				_this.transfer++;
				document.getElementById("progressbar_f").style.width = _this.transfer + "%";
				document.getElementById("porcent_im").innerHTML = _this.transfer + "%";
			}
			cIM.cExecute("$this.upload.size_file",h_size_file);
		}
	}		
	
	/*
	 * Preferncias do usurio
	 */
	Templates.prototype.yourPreferences = function()
	{	
 	    var form_your_prefe = '<div style="margin-left:10px;margin-top:5px"><dl>' +
	 	    					  '<fieldset><legend>&nbsp;Opes&nbsp;:</legend>'+
 		    					  '<dt><input id="ch_time" type="checkbox"> Mostar marcao de tempo </dt> ' +
 	    						  '<dt><input id="ch_offline" type="checkbox"> Exibir amigos desconectados </dt> ' + 	    					  
 	    						  '<dt><input id="ch_contacts" type="checkbox"> Desativar aviso de novos contatos </dt> ' +
 	    						  '<dl></fieldset></div>' +
 	    					  '<div style="margin-left:10px;margin-top:5px">' +
 	    					  		'<fieldset><legend>&nbsp;Ativar aviso de mensagens recebidas&nbsp;:</legend>'+
 	    					  		'<input id="rd_nm" type="radio" name="rd_aviso"> Normal <i>(Funo Indisponvel)</i></br>' +	 	    					  
 	    					  		'<input id="rd_al" type="radio" name="rd_aviso"> Com Alertas <i>(Funo Indisponvel)</i></br>' +	 	    					  
 	    					  		'<input id="rd_ch" type="radio" name="rd_aviso"> Treme Tela <i>(Funo Indisponvel)</i>' +
 	    					  		'</fieldset>'+
 	    					  '</div>'+
 	    					  '<div style="margin-left:10px;margin-top:5px">'+
 	    					  	'<font style="size:8pt;color:red">*  necessrio salvar as opes *</p>'+
 	    					  	'<input type="button" value="Salvar" onclick="javascript:Preferences.SetPreferences()">'+
								'<input type="button" value="Cancelar" onclick="javascript:im_win.windowClose(\'divYourPrefe_im_window\')">'+ 	    					  	
 	    					  '</div>'; 

		this.conf_form("divYourPrefe",345,230,form_your_prefe,":: " + IM.get_lang('Preferences') + " - Expresso ::");
	}

	//Templates
	var Templates = new Templates();